{-# LANGUAGE CApiFFI #-}
{-# LANGUAGE ForeignFunctionInterface #-}

module OkSqlite.Codes where

import OkStd

-- | The SQLITE_OK result code means that the operation was successful and that there were no errors
foreign import capi "sqlite3.h value SQLITE_OK" c_SQLITE_OK :: Int

-- | The SQLITE_CONSTRAINT error code means that an SQL constraint violation occurred while trying to process an SQL statement.
foreign import capi "sqlite3.h value SQLITE_CONSTRAINT" c_SQLITE_CONSTRAINT :: Int
