module OkVault.Models.Exception
  ( ExceptionModel (..),
  )
where

import OkStd

-- | Exceptions that could be thrown when executing model-related functions
data ExceptionModel
  = -- | Indicates that the model could not be inserted because it already exists in the database.
    ExceptionAlreadyExists
  deriving (Eq, Show)

instance Exception ExceptionModel
