window.addEventListener('load', async e => {
  const page = _.elt('page');
  if (page === null) {
    return;
  }

  const vault = await Vault.init();
  switch (page.value) {
    case 'first-time':
      FirstTimePage.exec();
      break;
    case 'items-list':
      ItemsListPage.exec(vault);
      break;
    case 'add-edit-item':
      AddEditItemPage.exec(vault);
      break;
    case 'show-item':
      await ShowItemPage.exec(vault);
      break;
    case 'delete-item':
      DeleteItemPage.exec(vault);
      break;
  }
});
